wings3d (2.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump the standards version to 4.7.0.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 21 Nov 2024 13:35:47 +0300

wings3d (2.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop no longer necessary patches.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 07 Dec 2023 14:42:26 +0300

wings3d (2.2.9-3) unstable; urgency=medium

  * Drop unnecessary dependency on the erlang-esdl package (closes: #1038072).
  * Drop build dependency on the superseded libgl1-mesa-dev package.
  * Bump the debhelper compatibility level to 13.
  * Bump the standards version to 4.6.2.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 22 Jun 2023 13:06:20 +0300

wings3d (2.2.9-2) unstable; urgency=medium

  * Fix FTBFS with Erlang 25.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 19 Nov 2022 13:29:34 +0300

wings3d (2.2.9-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 31 Mar 2022 13:23:08 +0300

wings3d (2.2.8-2) unstable; urgency=medium

  * Fix error in the clean target which caused FTBFS.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 25 Mar 2022 14:58:09 +0300

wings3d (2.2.8-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches, remove no longer necessary ones.
  * Disable dependency on libigl since it isn't in Debian.
  * Fix a declaration prototyle to make Wings 3D build using GCC 11
    (closes: #984413).
  * Bump the standards version to 4.6.0.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 25 Mar 2022 12:30:10 +0300

wings3d (2.2.6.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump the standards version to 4.5.1.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 17 Aug 2021 11:47:33 +0300

wings3d (2.2.6.1-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream development release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 20 May 2020 10:19:46 +0300

wings3d (2.2.5-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump the debhelper compatibility level to 12.
  * Bump the standards version to 4.5.0.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 13 Mar 2020 10:37:37 +0300

wings3d (2.2.4-4) unstable; urgency=medium

  * Add the GDK_BACKEND=x11 environment variable to /etc/wings3d.rc to fix
    segfaulting under Wayland with prospective erlang-wx version.
  * Bump the standards version to 4.4.0.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 08 Sep 2019 20:37:44 +0300

wings3d (2.2.4-3) unstable; urgency=medium

  * Rebuild for the source only upload.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 09 Jul 2019 08:35:17 +0300

wings3d (2.2.4-2) unstable; urgency=medium

  * Upload to unstable because the buster freeze is over.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 08 Jul 2019 07:37:57 +0300

wings3d (2.2.4-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream stable release.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 16 Apr 2019 12:58:13 +0300

wings3d (2.2.3-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream development release.
  * Refresh patches.
  * Delete forgotten .gitignore from the binary package.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 01 Mar 2019 17:04:03 +0300

wings3d (2.2.2-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream development release.
  * Refresh patches. Remove no longer necessary ones.
  * Bump the standards version to 4.3.0.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 01 Feb 2019 09:15:51 +0300

wings3d (2.2.1-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream development release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 12 Dec 2018 10:22:48 +0300

wings3d (2.1.7-3) unstable; urgency=medium

  * Fix FTBFS with Erlang/OTP 21 (closes: #909982).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 01 Oct 2018 07:15:08 +0300

wings3d (2.1.7-2) unstable; urgency=medium

  * Upload to unstable since this release is marked stable upstream.
  * Bump the standards version to 4.2.0.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 02 Aug 2018 18:38:03 +0300

wings3d (2.1.7-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream development release.
  * Bump the standards version to 4.1.4.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 02 Jun 2018 08:51:04 +0300

wings3d (2.1.6-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream development release.
  * Refresh patches, remove the patch which was necessary to build with
    Erlang/OTP 20.
  * Add a hack to build the package without patching include_lib directives.
  * Add the Salsa VCS headers to debian/changelog.
  * Bump the standards version to 4.1.3.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 22 Mar 2018 09:50:37 +0300

wings3d (2.1.5-3) unstable; urgency=medium

  * Disable full scene antialiasing because it makes Wings 3D crash on
    Wayland and/or certiang hardware which doesn't suppor FSAA
    (closes: #861086).
  * Bumped debhelper compatibility level to 10.
  * Bumped standards version to 4.1.1.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 27 Nov 2017 09:34:33 +0300

wings3d (2.1.5-2) unstable; urgency=medium

  * Added a patch by upstream which fixes FTBFS when building with
    Erlang/OTP 20 (closes: #871369).

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 08 Aug 2017 00:40:12 +0300

wings3d (2.1.5-1) unstable; urgency=medium

  * New upstream release. Refreshed patches, removed irrelevant ones.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 22 Jan 2017 11:49:09 +0300

wings3d (1.5.4-2) unstable; urgency=medium

  * Added a patch by upstream which fixes FTBFS with Erlang 19 due to
    deprecated module usage and redefining predefined macro name.
  * Bumped the minimum Erlang version requirement to 18.
  * Bumped standards version to 3.9.8.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 03 Sep 2016 14:17:18 +0300

wings3d (1.5.4-1) unstable; urgency=medium

  * New upstream release.
  * Removed unnecessary patches.
  * Added a patch which allows one to build Wings3d plugins without the
    previous version installed system-wide.
  * Removed the Wings3d menu file because the desktop file is replacing it.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 17 Nov 2015 13:24:41 +0300

wings3d (1.5.3-3) unstable; urgency=medium

  * Fixed FTBFS with Erlang 18 due to calling deprecated function
    erlang:now/0 (closes: #791415).
  * Bumped standards version to 3.9.6.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 04 Aug 2015 11:12:56 +0300

wings3d (1.5.3-2) unstable; urgency=low

  * Switched to libjpeg-dev from libjpeg8-dev build-dependency.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 29 Sep 2014 22:26:05 +0400

wings3d (1.5.3-1) unstable; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 05 May 2014 17:00:58 +0400

wings3d (1.5.2-2) unstable; urgency=low

  * Switched back from the 'make wx' to just 'make' when building the
    package (closes: #740063).
  * Bumped standards version to 3.9.5.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 06 Mar 2014 21:17:18 +0400

wings3d (1.5.2-1) unstable; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 16 Dec 2013 15:50:45 +0400

wings3d (1.5.1-1) unstable; urgency=low

  * New upstream release.
  * Removed no longer necessary patches.
  * Added build-dependency and dependency on erlang-cl.
  * Switched to build-dependency on libjpeg8-dev instead of virtual
    package libjpeg-dev.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 23 Nov 2013 09:11:33 +0400

wings3d (1.4.1-5) unstable; urgency=low

  * Replaced suggested dependency on no longer existing yafray package by
    the dependency on yafaray.
  * Fixed displaying numbers in a volume and area info dialog.
  * Fixed importing ASCII STL files (closes: #698349).
  * Switched to 3.0 (quilt) source format.
  * Bumped standards version to 3.9.4.
  * Use the true original tarball (compressed by bzip2, without recompressing
    it using gzip).
  * Applied patch by upstream to make the package buildable in Erlang R16B.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 09 May 2013 22:00:36 +0400

wings3d (1.4.1-4) unstable; urgency=low

  * Upload to unstable.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 13 Jan 2012 13:50:09 +0400

wings3d (1.4.1-3) experimental; urgency=low

  * Switched to erlang-wx to manage GL output. This makes wings3d compatible
    with the newer erlang-esdl (>= 1.2) package.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 23 Dec 2011 22:37:19 +0400

wings3d (1.4.1-2) experimental; urgency=low

  * Removed menu from the suggested packages list (closes: #647386).
  * Fixed loading Erlang drivers into R15B (only those which are actually
    enter the binary package).
  * Upload to experimental where Erlang R15B is currently.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 17 Dec 2011 12:17:33 +0400

wings3d (1.4.1-1) unstable; urgency=low

  * New upstream development release.
  * Bumped dependency on erlang-dev to 1:14.b because it doesn't work with
    earlier versions anymore.
  * Bumped standards version to 3.9.2.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 13 Jun 2011 16:10:08 +0400

wings3d (1.2-1) unstable; urgency=low

  * New upstream release.
  * Switched from cdbs to debhelper 7 with quilt.
  * Removed all unneeded README files from plugins subdirectories.
  * Don't build fonts from plugins_src directory as they are removed from the
    upstream package.
  * Switched to libjpeg-dev build dependency from libjpeg62-dev.
  * Bumped standards version to 3.8.4.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 14 Feb 2010 13:56:56 +0300

wings3d (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * Removed Torsten Werner from the uploaders list as per his request.
  * New maintainer's email address pkg-erlang-devel@lists.alioth.debian.org
    mailing list.
  * Added debian/README.source file with a reference to
    /usr/share/doc/quilt/README.source.
  * Overridden lintian warning
    virtual-package-depends-without-real-package-depends because it's
    intentional to depend on erlang-abi-* separately.
  * Bumped standards version to 3.8.3.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 30 Sep 2009 14:53:20 +0400

wings3d (1.0.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 08 Jun 2009 22:15:09 +0400

wings3d (1.0-1) unstable; urgency=low

  * New upstream release.
  * Changed Wings3D menu icon following upstream.
  * Use renamed erlang-esdl package as a dependency instead of libsdl-erlang.
  * Remove generated vsn.mk in clean target of debian/rules.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 26 May 2009 22:03:09 +0400

wings3d (1.0~rc1-1) unstable; urgency=low

  * New upstream release candidate.
  * Fixed debian/watch control file to understand release candidiates.
  * Added suggested dependencies on erlang-dialyzer and erlang-tools packages
    which can be used in Erlang shell of running Wings3D application.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 02 May 2009 12:17:43 +0400

wings3d (0.99.55-1) experimental; urgency=low

  * New upstream development release.
  * Added build dependency on erlang-dev 1:13.b or newer to simplify transition
    to Erlang R13B.
  * Added environment variable ESDL_PATH and option -pa /usr/lib/esdl/ebin to
    script which starts wings3d to match changes in libsdl-erlang package.
  * Bumped standards version to 3.8.1.
  * Instructed uscan control file debian/watch to use SourceForge redirector.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 22 Apr 2009 22:10:30 +0400

wings3d (0.99.06-1) unstable; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 16 Feb 2009 14:08:42 +0300

wings3d (0.99.03-3) unstable; urgency=low

  * Replaced parallel processing of language files by sequential one because
    it hangs sometimes causing FTBFS.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 25 Jun 2008 17:29:04 +0400

wings3d (0.99.03-2) unstable; urgency=low

  * Moving to unstable because the changes with respect to 0.99.02 are
    minor.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 24 Jun 2008 17:04:53 +0400

wings3d (0.99.03-1) experimental; urgency=low

  * New upstream development release.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 22 Jun 2008 12:38:05 +0400

wings3d (0.99.02-2) unstable; urgency=low

  * The upstream release was considered stable, so moved it to sid.
  * Removed obsolete packages (xlibmesa-gl-dev and xlibmesa-glu-dev) from
    build-dependencies.
  * Bumped standards version to 3.8.0.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 20 Jun 2008 14:47:07 +0400

wings3d (0.99.02-1) experimental; urgency=low

  * New development upstream release.
  * This version requires erlang R12B-1 or newer to build.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 10 Mar 2008 18:08:00 +0300

wings3d (0.99.00b-2) unstable; urgency=low

  * Added homepage header to debian/control.
  * Clarified copyright statement.
  * Removed -1 revision from build-dependencies on erlnag-dev to make
    backporting easier.
  * Overridden lintian warnings about image file in /usr/lib.
  * Removed deprecated encoding field from wings3d desktop entry.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 25 May 2008 15:09:40 +0400

wings3d (0.99.00b-1) unstable; urgency=low

  * New upstream release.
  * Disabled SMP in Erlang when running wings3d by default because it causes
    crashes.
  * Bumped standards version to 3.7.3.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 03 Jan 2008 10:57:02 +0300

wings3d (0.98.36-5) unstable; urgency=low

  * Redefined HOME environment variable to fix FTBFS in case when HOME points
    to an existing inaccessible directory.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 09 Sep 2007 11:29:40 +0400

wings3d (0.98.36-4) unstable; urgency=low

  * Added Sergei Golovan <sgolovan@debian.org> to uploaders list.
  * Fixed section in wings3d Debian menu file according to a new menu policy
    (replaced Apps by Applications).
  * Fixed categories in wings3d desktop file (removed non-registered category
    Application). Also, made binary and icon wings3d paths full and made menu
    item text more clear.
  * Added erlang options to wings3d script. Run wings3d in detached mode from
    menu and desktop launchers, which makes using a terminal unnecessary.
  * Bumped debhelper compatibility level to 5.
  * Removed sourcefiles for icon packages and a tool which builds wings3d icon
    bundles from binary package. If someone wants to develop an own icon
    package he could use sources.
  * Added messages internationalisation to binary package.
  * Removed internalisation tool from binary package since it is useful only
    when building a package.
  * Fixed typo in the long package description.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 08 Sep 2007 12:48:08 +0400

wings3d (0.98.36-3) unstable; urgency=low

  [ Sergei Golovan ]
  * Added version to build-dependency on erlang-dev to make using
    ${erlang-abi:Depends} substitution variable possible. Also, added binary
    package dependency on erlang-base and erlang-abi-* because wings3d depends
    on erlang not only through libsdl-erlang but also directly.
  * Fixed clean target.

 -- Torsten Werner <twerner@debian.org>  Tue, 26 Jun 2007 18:36:33 +0400

wings3d (0.98.36-2) unstable; urgency=low

  [ Torsten Werner ]
  * Remove redundant erlang dependencies, because libsdl-erlang already has
    the right dependencies.
  * Rename libsdl-erlang:Version to libsdl-erlang:Depends to be more
    consistent with other packages.

  [ Sergei Golovan ]
  * Added two patches to plugins_src/jpeg/Makefile and
    plugins_src/autouv/Makefile, which fix clean targets.
  * Reordered included cdbc helpers because otherwise there were incorrect
    action sequence during cleanup (clean must be first, then unpatch).

 -- Torsten Werner <twerner@debian.org>  Wed, 11 Apr 2007 19:19:27 +0400

wings3d (0.98.36-1) experimental; urgency=low

  [ Sergei Golovan ]
  * New upstream release.
  * Removed patchlevel from erlang and libsdl-erlang dependency versions.

  [ Torsten Werner ]
  * Uploading to experimental because we are in soft freeze.

 -- Torsten Werner <twerner@debian.org>  Tue, 28 Nov 2006 20:52:45 +0100

wings3d (0.98.35-4) unstable; urgency=low

  [ Sergei Golovan ]
  * Fixed syntax error in debian changelog.

 -- Erlang Packagers <erlang-pkg-devel@lists.berlios.de>  Sun, 22 Oct 2006 14:54:16 +0400

wings3d (0.98.35-3) unstable; urgency=low

  [ Sergei Golovan ]
  * Fixed permission of autouv plugin files.
  * Added building of jpeg and fonts plugins.
  * Removed sources from the resulting package. If someone needs sources,
    they are available via apt-get source.

  [ Torsten Werner ]
  * Switched to cdbs.
  * Use quilt for managing upstream changes.

 -- Erlang Packagers <erlang-pkg-devel@lists.berlios.de>  Tue, 19 Sep 2006 18:32:35 +0400

wings3d (0.98.35-2) unstable; urgency=low

  [ Torsten Werner ]
  * Made Build-Depends compatible with sarge, etch, and ubuntu.

  [ Sergei Golovan ]
  * Added versioned dependency on erlang and libsdl-erlang.

 -- Erlang Packagers <erlang-pkg-devel@lists.berlios.de>  Wed, 09 Aug 2006 23:40:32 +0400

wings3d (0.98.35-1) unstable; urgency=low

  [ Sergei Golovan ]
  * New upstream version.

 -- Erlang Packagers <erlang-pkg-devel@lists.berlios.de>  Sun, 23 Jul 2006 14:27:17 +0400

wings3d (0.98.34-1) experimental; urgency=low

  [ Sergei Golovan ]
  * New upstream version.

 -- Erlang Packagers <erlang-pkg-devel@lists.berlios.de>  Tue, 11 Jul 2006 22:04:14 +0400

wings3d (0.98.32b-1) unstable; urgency=low

  * New maintainer (Closes: #368072).
  * New upstream version (Closes: #360723).

  [ Sergei Golovan ]
  * Bumped standards version to 3.7.2.
  * Changed Build-Depends and Depends to reflect erlang 10.b.10
    package structure.
  * Added get-orig-source target to debian/rules.
  * Added debian/watch.

 -- Erlang Packagers <erlang-pkg-devel@lists.berlios.de>  Tue, 11 Jul 2006 21:49:42 +0400

wings3d (0.98.29b-2) unstable; urgency=low

  * Start even when /etc/wings3d.rc is missing. (Closes: #321456)
  * Sync with Ubuntu.

 -- Will Newton <will@debian.org>  Mon,  8 Aug 2005 20:18:06 +0100

wings3d (0.98.29b-1) unstable; urgency=low

  * New maintainer.
  * New upstream version.
  * Remove redundant README.Debian, postinst and preinst.
  * wings3d and erlang have been removed from sarge. (Closes: #291255)

 -- Will Newton <will@debian.org>  Thu, 19 May 2005 17:52:29 +0100

wings3d (0.98.26-1) unstable; urgency=low

  * New upstream release.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun, 21 Nov 2004 18:45:05 -0800

wings3d (0.98.24-1) unstable; urgency=low

  * Help autobuilders! Again!  (Closes:#259509)
  * Package is now architecture-dependent due to native plugins.
    (Closes:#265932)
  * Add Marcel Sebek's <sebek64@post.cz> patch for buggy OpenGL
    drivers.  (Closes:#247967)
  * Make sure old wings stuff is gone (avoid crashes!)
  * New upstream release:
    - New Lens chooser in the View|Camera Settings dialog.
    - New Exporters (Toxic, VRML Texture Export)
    - 3DS import/export improvements
    - Mesh code cleanups.
    - New progress bar on inports.
    - Use of math:pi() rather than 3.1415 -- better accuracy.

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri, 27 Aug 2004 20:57:56 -0700

wings3d (0.98.23b-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add build-dependencies on xlibmesa-gl-dev, xlibmesa-glu-dev.
    Patch by Jurij Smakov <jurij@wooyd.org> (Closes: #259509)
  * Lintian stuff:
    - Cut off two pixels from the side of wings3d.xpm to make it 32x32
    - Remove build-dependency on perl-base, it's Essential: yes
    - Version the debhelper build-dependency to (>= 4), because that's
      what we use in debian/cmpat.

 -- Joshua Kwan <joshk@triplehelix.org>  Tue, 10 Aug 2004 10:26:29 -0700



wings3d (0.98.23b-2) unstable; urgency=low

  * Help autobuilders! (Closes:#254235)

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun, 13 Jun 2004 19:49:14 -0700

wings3d (0.98.23b-1) unstable; urgency=low

  * New upstream release.  (Closes:#253992)
  * Moved from architecture "any" to "all" due to various c-based
    plugins.
  * Corrects some stability issues, and new range checks.
    (Closes:#243057,#207170,#193850)
  * New AutoUV features.
  * Help buttons moved to right-hand side of dialogs.
  * New color palette window.
  * Faster stretch optimizations.
  * Lighting model enhancements.  Lighting now updates when lights move.
  * New console to show external renderer output.
  * Image viewer now has camera controls and allows sizing.
  * Time-consuming operations (export and smooth, e.g.) now show progress bar.
  * New screenshot command.
  * New 'fast fresnel' shader option.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 12 Jun 2004 23:43:06 -0700

wings3d (0.98.19b-1) unstable; urgency=low

  * New upstream release.
  * Better support for NVidia's proprietary OpenGL driver (fewer crashes due
    to bugs in NVidia's code.)

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat,  7 Feb 2004 21:16:16 -0800

wings3d (0.98.17g-1) unstable; urgency=low

  * Better file export support.
  * Updates and fixes to the OpenGL renderer.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 13 Dec 2003 00:47:13 -0800

wings3d (0.98.17e-1) unstable; urgency=low

  * New upstream release.  Updated help screens.  Corrected some crash faults.
  * Better support for hardware acceleration.

 -- Brent A. Fulgham <bfulgham@debian.org>  Wed,  5 Nov 2003 20:54:42 -0800

wings3d (0.98.15a-1) unstable; urgency=low

  * New upstream release.
  * Some optimizations for speed, plus workflow changes to improve usability.
  * Better resize box, updated file format (backwards compatible).
  * Depends on Erlang 9.2

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun, 17 Aug 2003 21:44:02 -0700

wings3d (0.98.10e-1) unstable; urgency=low

  * Bug fixes.
  * Preference added for background color.
  * Declared dependency on Erlang 9.1 and above, due to compatiblity
    problems with the BEAM files on earlier versions.  (This should
    have been done from the beginning.)
  * Likewise, now depend on current libsdl-erlang due to new features
    needed by Wings.

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 23 Jun 2003 23:00:23 -0700

wings3d (0.98.09-1) unstable; urgency=low

  * New upstream release:
    - New 'image' primitive.
    - Images can be imported, exported, and stored outside the .wings file.
    - Start of a drag and drop mechanism.

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri, 16 May 2003 23:24:59 -0700

wings3d (0.98.08e-1) unstable; urgency=low

  * Bug fix release from upstream.
  * Support for multiple geometry windows.

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue, 15 Apr 2003 20:51:59 -0700

wings3d (0.98.08-1) unstable; urgency=low

  * New upstream release.

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon,  3 Mar 2003 22:25:19 -0800

wings3d (0.98.07d-1) unstable; urgency=low

  * New upstream release.

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 17 Feb 2003 21:11:46 -0800

wings3d (0.98.07c-2) unstable; urgency=low

  * Correct file paths per Erlang standards.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun,  9 Feb 2003 00:13:01 -0800

wings3d (0.98.07c-1) unstable; urgency=low

  * New upstream release.
  * Fix a few lintian bugs.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat,  8 Feb 2003 00:12:46 -0800

wings3d (0.98.06c1-2) unstable; urgency=low

  * Revised rules file to produce 'any' architecture, since this is an
    Erlang executable (write once, run anywhere...)

 -- Brent A. Fulgham <bfulgham@debian.org>  Thu, 23 Jan 2003 23:12:18 -0800

wings3d (0.98.06c1-1) unstable; urgency=low

  * Add a menu entry for easy launching.
  * Add a suggestion for Aqsis (Open Source Renderman-interface program),
    in case you want to see any of your modeled creations.

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 20 Jan 2003 20:23:50 -0800

wings3d (0.98.06c-1) unstable; urgency=low

  * New upstream release.
  * Add build-depends on Erlang, for goodness sake!  (Closes:#176137)

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun, 19 Jan 2003 21:53:32 -0800

wings3d (0.98.04a-1) unstable; urgency=low

  * New upstream release.  (Closes:Bug#147322)

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 14 Dec 2002 23:18:22 -0800
